Questions tagged [php]

PHP is a widely-used, general-purpose scripting language that is especially suited for web development. Use this tag when you are dealing with a PHP script, installing PHP, or configuring a PHP installation.

Filter by
Sorted by
Tagged with
0
votes
0answers
10 views

where to place .php files in AWS Linux AMI for hosting a website

I'm working on a web hosting project in which I have an HTML code for the landing page and 3 other PHP code files for other pages on the website I am using AWS Linux AMI, Installed LAMP. I have ...
0
votes
0answers
25 views

PHP - FPM - Nginx - serving PHP files

I have PHP installed locally on a macOS Catalina 10.15.3 system; php -i phpinfo() PHP Version => 7.3.11 I have Nginx up and running serving static files: What's the easiest method to make Nginx ...
0
votes
0answers
8 views

./Configure error installing xDebug - wrong php version

I am trying to install xDebug for php7.2 but keep receiving the following error when i execute ./configure to generate the make file: checking Check for supported PHP versions... configure: error: ...
0
votes
0answers
16 views

I am trying to configure nextcloud but I cannot get PHP/cgi to work properly

The problem is this: I am trying to install and configure nextcloud and I've followed all of the steps in the arch wiki up to the final instruction. Now when i point my browser at index.php it is ...
0
votes
0answers
24 views

Error with MediaWiki database update script

I would like to update our stone-old MediaWiki installation (v1.24) to the latest version, running on Debian 10 (not installed as Debian package, just using the archive from the homepage) but I just ...
1
vote
1answer
32 views

Updates php on Centos 7 but phpinfo.php show older version

So, I'm removed all php on Centos 7 like this: yum remove php* then I'm install shut down the older php repository like this yum-config-manager --disable remi-php54 and enable the new one yum-...
0
votes
0answers
24 views

Mount does not work in script when run by php

So I have a script that's placed in my apache2 html folder and should be executed by an http post. The script requires root (I know that's not safe at all, ignore that please), so I set the user www-...
0
votes
0answers
4 views

Execute nmtui and wavemon to apache with a button

I'm trying to execute nmtui and wavemon to a webpage with the help of a button. I was able to execute Linux terminal with shellinBox but I was wondering if it is possible to do the job with PHP and ...
0
votes
0answers
9 views

Installing PHP from source and no php.ini

I have installed php-5.3 from source on a VM containing Ubuntu 14.04. The build commands are ./configure --enable-fpm --with-curl --with-pdo-mysql=/path/to/mysql --withgd --with-jpeg-dir --with-png-...
0
votes
0answers
41 views

I have “deleted” /var/log folder. What can I do to repare this mistake?

My / partition vas full, so I needed to make some free space... The quickest solution I've found was to "move" /var/log to another partition and make a symbolic link to it. In fact I did a cp of the ...
0
votes
0answers
47 views

How can I determine if these perl processes are malicious?

Our Suse Linux web server has been running quite sluggish of late and rebooting relieves the issue temporarily. After some further checks, I found that the firewall is blocking some outbound traffic ...
1
vote
1answer
54 views

How to remove cron task that deletes PHP sessions

It seems Linux Mint 19.3 Tricia Cinnamon wants to clear out PHP session files every half-hour. How do I: Remove this task from the scheduler's awareness, and Not have to reboot the computer to do so....
0
votes
1answer
45 views

Mail sent, from PHP script,not showing up

I am running a website on two AWS EC2 instances running Ubuntu. I am using LAMP. The following PHP code used to successfully send emails, to warn of suspicious activity, but stopped doing so in ...
1
vote
0answers
57 views

Why does my webserver try to install php7.4 when I have 7.3 running?

On apt upgrade I get the notification that new packages will be installed The following NEW packages will be installed: libicu65 libapache2-mod-php7.4 libonig4 php7.4 php7.4-bz2 php7.4-cli php7.4-...
0
votes
0answers
14 views

Import GPG keys with PHP - no errors, no results

I try to reproduce the next example published at: https://www.php.net/manual/en/function.gnupg-import.php Files public.key and private.key there was created in accordance with published ...
0
votes
1answer
28 views

Ubuntu says the most recent version of php is already installed while an old one is installed

My current version is 7.0.33, I need at least 7.1.33. I have tried sudo apt-get install php and it says that the most recent version is already installed. I have also tried manually installing the ...
0
votes
0answers
14 views

Remove data within double quotes in href through php

I am new to php and hence I am stuck where I need to remove the data which is present within double quotes and just keep the double quote intact, and the issue is we have string within double quotes. ...
0
votes
1answer
21 views

Remove directory of a known file in CentOS 6

I have a database that returns a string. The string contains the location of a file. What I want to do is to remove the directory that contains that file using CentOS command. Is that possible? I know ...
0
votes
0answers
8 views

Run Ratchet on a subdomain as a complete own service

I'm currently trying to host my own WebSocket server using Ratchet http://socketo.me/docs/push. The problem is that I can't find a good tutorial that shows me how I can host this on a subdomain. So ...
0
votes
0answers
155 views

502 Bad Gateway - connect() to unix:/var/run/php5-fpm.sock failed (2: No such file or directory)

I have a VPS since many years. Everything was working fine. The server was running PHP 7 and nginx. Today the sites were running a bit slow. So I decided to login to the server and run a shutdown -r ...
0
votes
0answers
49 views

cannot find php7.3-bcmath even though ondrej is there

add-apt-repository ppa:ondrej/php apt-get update # apt-cache search php7.3 | grep "php7.3" | awk '{print $1}' php7.3-json php7.3-imap php7.3-common php7.3-opcache php7.3-xml php7.3-mysql php7.3-cli ...
1
vote
1answer
29 views

Script to switch php version

i'm new with creating script command, i tried to make a script to switch php version , the script will take an input what version what i want to use (ex:7.3) here's my current progress: #!/bin/bash ...
0
votes
0answers
23 views

Host symfony app on plesk obsidian

Anyone was able to successfully run symfony application on the plesk environment already? I'm new to management of plesk, until now i was configuring vhosts by my self, with use Apache / Nginx. I ...
0
votes
0answers
21 views

Apache appears to be running the wrong version of PHP for phpMyAdmin

OS: Linux Mint 18.3 I am using phpMyAdmin 4.5.4.1. This is the most recent version as per Synaptic. But I wanted to install a more recent version so I downloaded and extracted 5.0.1 and hopefully ...
0
votes
0answers
353 views

SlimFramework 3.* + NginX Subfolder Configuration

Hi guys we're using nginx for a web server and decided to write the API on that server as well using Slim framework. This is our config: server { listen 80; server_name xx.com www....
0
votes
1answer
20 views

PHP: capture a multiline substring

I have a long multiline string (its in a file that I can load into a string), lets take this as example: <response status="success" code="19"> <result total-count="1" count="1"> <...
2
votes
5answers
128 views

How can I extract strings from one file to insert (modified) in a different file?

problem is the following: I have an xml file with data and I am looking for a small part of the data to write it into a new file: content has been shortened by request: snippet if type=dhcp-client: ...
0
votes
0answers
81 views

Failed to upgrade PHP 7.1 to PHP 7.3 on Centos 7

I've try to upgrade my php version on Centos 7, but I got this error: also when I try to add --skip-broken it displayed the following message: Packages skipped because of dependency problems: ...
0
votes
1answer
31 views

Replace split with explode in all PHP files

How can I replace the obsolete split PHP command with explode in a folder structure with many files?
0
votes
1answer
177 views

Including Composer's autoloader file in your PHP script

No explicit instructions are provided at the GitHub page for php parsecsv. However, there is an obscure mention of the need to manually include the following: If you don't use a framework such as ...
0
votes
1answer
32 views

How to install parsecsv: explicit steps sought

From https://github.com/parsecsv/parsecsv-for-php#installation: Installation is easy using Composer. Just run the following on the command line: composer require parsecsv/php-parsecsv ...
0
votes
0answers
15 views

Attempting to write PHP array to file in Linux PHP interactive shell produces Uncaught Error and empty file

After executing the following commands: [root@server test]# php -v PHP 7.2.25 (cli) (built: Dec 17 2019 22:57:09) ( NTS ) Copyright (c) 1997-2018 The PHP Group Zend Engine v3.2.0, Copyright (c) 1998-...
0
votes
0answers
41 views

How to remove a water mark at the bottom right of a png with Imagick

Ubuntu 16.04 PHP 7.2 We use Imagick to place a transparent png image of a vehicle over a jpg background. The watermark from the company we purchase the images from appears at the bottom right of ...
0
votes
1answer
39 views

Cannot locate “php-phalcon” package in APT, after cURL'ing the .deb file

In Debian 10, I follow the instructions here to a tee, I cURL the DEB file, then I enter apt install php-phalcon or php7.0-phalcon. Neither work! I don't know what's wrong It says: Unable to locate ...
0
votes
0answers
45 views

Why I get 2 different outputs for 'whoami' command in Linux?

I got here from StackOverflow because I couldn't find a solution there. Here is the link to the question. When I open terminal and type whoami I get m1ck0 which is my user. But when I enter whoami ...
0
votes
0answers
108 views

Why is php-intl not loaded into the php modules

I want install php-intl on my arch machine. when I run php -v I get the following $ php -v PHP Warning: PHP Startup: Unable to load dynamic library 'intl' (tried: /usr/lib/php/modules/intl (/...
1
vote
1answer
343 views

How to install PHP 5.3 on CentOS 7 (troubleshooting propose)

I would like to install PHP 5.3 version in CentOS 7 for development propose. I know this PHP version has security problems but I need to validate why a bug happens with this version of PHP with a ...
-3
votes
1answer
127 views

Prevent parsing of to-be-parsed HTML elements with Bash

I have a LAMP (CentOS) "shared" server environment on which I can't control Apache webserver fully but partially through .htaccess files; I can SSH that environment and use Bash in my user partition. ...
0
votes
0answers
28 views

Running Nginx+PHP7.0 -> Error: “Impossible to load class id” [ProjeQtOr]

As a local non-government organization, I am trying to evaluate how ProjeQtOr, a software for project management written in PHP, will meet our expectations. I installed ProjeQtOr version 8.2.3 with ...
0
votes
0answers
1k views

Trouble upgrading php with yum

I'm using centos 7: # rpm -q centos-release centos-release-7-7.1908.0.el7.centos.x86_64 I had php version 5.4 on this machine: $ php -v PHP 5.4.16 (cli) (built: Nov 1 2019 16:04:20) Copyright (c) ...
-1
votes
1answer
85 views

Understanding install OpenPGP on Debian

I have Debian Buster on VirtualBox, I install these open keyrings because I will install PHP. https://packages.sury.org/php/apt.gpg I doing #apt update #apt install ca-certificates apt-transport-...
0
votes
1answer
101 views

Connect to a mariadb running on host from docker

I am trying to install nextcloud on a pi. So i installed the docker container, and i can access the first visit page. So i want to use mariadb as database backend. Then i typed: host: 192.168.178.62:...
1
vote
1answer
77 views

display warning about opcache,curl and many more

I am facing problem while run any command. For example i run command php -v and it gives following output. ronak@ronak-pc ~ $ php -v PHP Warning: Failed loading Zend extension 'opcache.so' (tried: ...
2
votes
1answer
162 views

How to install PHP 7.3 on MXLinux 18?

I want to learn PHP 7.2 or 7.3 on my newly installed MXLinux 18. But After installing the lamp stack by using MX Package Manager, php version is reported to be just PHP 7.0. I would like to know if ...
0
votes
0answers
10 views

When installing packages from non standard repos to update original ones, is it necessary to remove the original ones?

CentOS/RHEL 7 comes by default with PHP version 5.x, when updating to version 7.x is necessary to install additional repos (epel-release and remi), my question is: how necessary is to remove the ...
0
votes
0answers
448 views

debian 9, apt-get install php7.3, you have held broken packages?

I am trying to install php7.3 and nginx on Debian 9. What does "you have held broken packages" mean and how do I fix it? Here is what I see (after sudo su -) root@vps149861:/etc/apt# apt-get update ...
0
votes
2answers
282 views

Error installing php-db in Debian 10 Buster

I have been tried install php-db in Debian 10 Buster, which is a dependency required by PandoraFMS Console (I'm installing it) but not working to me. when I try to install I lack the dependency: [......
0
votes
0answers
15 views

Run httpd as domain account for NFS-mounted storage

I have this VM running CentOS 8 that hosts a web app. I want the files for the web app to be hosted over NFS on a dedicated file server so I don't have to deal with virtual disk sizing (because they ...
1
vote
1answer
104 views

Install PHP GMP on Manjaro

I recently moved from Kubuntu to Manjaro. On Manjaro (an Arch-based distro), there doesn't seem to be a package for GMP (GNU Multiple Precision) support for PHP. I only need it to work on the command ...
1
vote
0answers
33 views

Handling Large Amounts Of Folders In Linux, Best Structure For Efficiency

I am creating a new PHP application for my client, and need some advice on the File structure and possible pitfalls. Their current system is not compliant with federal law, as it contains identifiable ...

1
2 3 4 5
17